<?php

/**
 * Post Options
 *
 * @package aster_travel_blog
 */

$wp_customize->add_section(
	'aster_travel_blog_post_options',
	array(
		'title' => esc_html__( 'Post Options', 'aster-travel-blog' ),
		'panel' => 'aster_travel_blog_theme_options',
	)
);

// Post Options - Add Post Date Icon
$wp_customize->add_setting(
    'aster_travel_blog_post_date_icon',
    array(
        'default' => 'far fa-clock', 
        'sanitize_callback' => 'sanitize_text_field',
        'capability' => 'edit_theme_options',
    )
);

$wp_customize->add_control(new Aster_Travel_Blog_Change_Icon_Control(
    $wp_customize, 
    'aster_travel_blog_post_date_icon',
    array(
        'label'    => __('Add Date Icon','aster-travel-blog'),
        'section'  => 'aster_travel_blog_post_options',
        'iconset'  => 'fa',
    )
));

// Post Options - Show / Hide Date.
$wp_customize->add_setting(
	'aster_travel_blog_post_hide_date',
	array(
		'default'           => true,
		'sanitize_callback' => 'aster_travel_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Aster_Travel_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'aster_travel_blog_post_hide_date',
		array(
			'label'   => esc_html__( 'Show / Hide Date', 'aster-travel-blog' ),
			'section' => 'aster_travel_blog_post_options',
		)
	)
);

// Post Options - Add Post Author Icon
$wp_customize->add_setting(
    'aster_travel_blog_post_author_icon',
    array(
        'default' => 'fas fa-user', 
        'sanitize_callback' => 'sanitize_text_field',
        'capability' => 'edit_theme_options',
    )
);

$wp_customize->add_control(new Aster_Travel_Blog_Change_Icon_Control(
    $wp_customize, 
    'aster_travel_blog_post_author_icon',
    array(
        'label'    => __('Add Author Icon','aster-travel-blog'),
        'section'  => 'aster_travel_blog_post_options',
        'iconset'  => 'fa',
    )
));

// Post Options - Show / Hide Author.
$wp_customize->add_setting(
	'aster_travel_blog_post_hide_author',
	array(
		'default'           => true,
		'sanitize_callback' => 'aster_travel_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Aster_Travel_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'aster_travel_blog_post_hide_author',
		array(
			'label'   => esc_html__( 'Show / Hide Author', 'aster-travel-blog' ),
			'section' => 'aster_travel_blog_post_options',
		)
	)
);

// Post Options - Add Post Comments Icon
$wp_customize->add_setting(
    'aster_travel_blog_post_comments_icon',
    array(
        'default' => 'fas fa-comments', 
        'sanitize_callback' => 'sanitize_text_field',
        'capability' => 'edit_theme_options',
    )
);

$wp_customize->add_control(new Aster_Travel_Blog_Change_Icon_Control(
    $wp_customize, 
    'aster_travel_blog_post_comments_icon',
    array(
        'label'    => __('Add Comments Icon','aster-travel-blog'),
        'section'  => 'aster_travel_blog_post_options',
        'iconset'  => 'fa',
    )
));

// Post Options - Show / Hide Comments.
$wp_customize->add_setting(
	'aster_travel_blog_post_hide_comments',
	array(
		'default'           => true,
		'sanitize_callback' => 'aster_travel_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Aster_Travel_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'aster_travel_blog_post_hide_comments',
		array(
			'label'   => esc_html__( 'Show / Hide Comments', 'aster-travel-blog' ),
			'section' => 'aster_travel_blog_post_options',
		)
	)
);

// Post Options - Add Post Time Icon
$wp_customize->add_setting(
    'aster_travel_blog_post_time_icon',
    array(
        'default' => 'far fa-clock', 
        'sanitize_callback' => 'sanitize_text_field',
        'capability' => 'edit_theme_options',
    )
);

$wp_customize->add_control(new Aster_Travel_Blog_Change_Icon_Control(
    $wp_customize, 
    'aster_travel_blog_post_time_icon',
    array(
        'label'    => __('Add Time Icon','aster-travel-blog'),
        'section'  => 'aster_travel_blog_post_options',
        'iconset'  => 'fa',
    )
));

// Post Options - Show / Hide Time.
$wp_customize->add_setting(
	'aster_travel_blog_post_hide_time',
	array(
		'default'           => true,
		'sanitize_callback' => 'aster_travel_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Aster_Travel_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'aster_travel_blog_post_hide_time',
		array(
			'label'   => esc_html__( 'Show / Hide Time', 'aster-travel-blog' ),
			'section' => 'aster_travel_blog_post_options',
		)
	)
);

// Post Options - Show / Hide Category.
$wp_customize->add_setting(
	'aster_travel_blog_post_hide_category',
	array(
		'default'           => true,
		'sanitize_callback' => 'aster_travel_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Aster_Travel_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'aster_travel_blog_post_hide_category',
		array(
			'label'   => esc_html__( 'Show / Hide Category', 'aster-travel-blog' ),
			'section' => 'aster_travel_blog_post_options',
		)
	)
);

// Post Options - Show / Hide Feature Image.
$wp_customize->add_setting(
	'aster_travel_blog_post_hide_feature_image',
	array(
		'default'           => true,
		'sanitize_callback' => 'aster_travel_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Aster_Travel_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'aster_travel_blog_post_hide_feature_image',
		array(
			'label'   => esc_html__( 'Show / Hide Featured Image', 'aster-travel-blog' ),
			'section' => 'aster_travel_blog_post_options',
		)
	)
);

// Post Options - Show / Hide Post Heading.
$wp_customize->add_setting(
	'aster_travel_blog_post_hide_post_heading',
	array(
		'default'           => true,
		'sanitize_callback' => 'aster_travel_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Aster_Travel_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'aster_travel_blog_post_hide_post_heading',
		array(
			'label'   => esc_html__( 'Show / Hide Post Heading', 'aster-travel-blog' ),
			'section' => 'aster_travel_blog_post_options',
		)
	)
);

// Post Options - Show / Hide Post Content.
$wp_customize->add_setting(
	'aster_travel_blog_post_hide_post_content',
	array(
		'default'           => true,
		'sanitize_callback' => 'aster_travel_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Aster_Travel_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'aster_travel_blog_post_hide_post_content',
		array(
			'label'   => esc_html__( 'Show / Hide Post Content', 'aster-travel-blog' ),
			'section' => 'aster_travel_blog_post_options',
		)
	)
);

// ---------------------------------------- Post layout ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'aster_travel_blog_archive_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Aster_Travel_Blog_Separator_Custom_Control( $wp_customize, 'aster_travel_blog_archive_layuout_separator', array(
	'label' => __( 'Archive/Blogs Layout Setting', 'aster-travel-blog' ),
	'section' => 'aster_travel_blog_post_options',
	'settings' => 'aster_travel_blog_archive_layuout_separator',
)));

// Archive Layout - Column Layout.
$wp_customize->add_setting(
	'aster_travel_blog_archive_column_layout',
	array(
		'default'           => 'column-1',
		'sanitize_callback' => 'aster_travel_blog_sanitize_select',
	)
);

$wp_customize->add_control(
	'aster_travel_blog_archive_column_layout',
	array(
		'label'   => esc_html__( 'Select Posts Layout', 'aster-travel-blog' ),
		'section' => 'aster_travel_blog_post_options',
		'type'    => 'select',
		'choices' => array(
			'column-1' => __( 'Column 1', 'aster-travel-blog' ),
			'column-2' => __( 'Column 2', 'aster-travel-blog' ),
			'column-3' => __( 'Column 3', 'aster-travel-blog' ),
			'column-4' => __( 'Column 4', 'aster-travel-blog' ),
		),
	)
);

$wp_customize->add_setting('aster_travel_blog_blog_layout_option_setting',array(
	'default' => 'Left',
	'sanitize_callback' => 'aster_travel_blog_sanitize_choices'
  ));
  $wp_customize->add_control(new Aster_Travel_Blog_Image_Radio_Control($wp_customize, 'aster_travel_blog_blog_layout_option_setting', array(
	'type' => 'select',
	'label' => __('Blog Content Alignment','aster-travel-blog'),
	'section' => 'aster_travel_blog_post_options',
	'choices' => array(
		'Left' => esc_url(get_template_directory_uri()).'/resource/img/layout-2.png',
		'Default' => esc_url(get_template_directory_uri()).'/resource/img/layout-1.png',
		'Right' => esc_url(get_template_directory_uri()).'/resource/img/layout-3.png',
))));


// ---------------------------------------- Read More ----------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'aster_travel_blog_readmore_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Aster_Travel_Blog_Separator_Custom_Control( $wp_customize, 'aster_travel_blog_readmore_separators', array(
	'label' => __( 'Read More Button Settings', 'aster-travel-blog' ),
	'section' => 'aster_travel_blog_post_options',
	'settings' => 'aster_travel_blog_readmore_separators',
)));


// Post Options - Show / Hide Read More Button.
$wp_customize->add_setting(
	'aster_travel_blog_post_readmore_button',
	array(
		'default'           => true,
		'sanitize_callback' => 'aster_travel_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Aster_Travel_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'aster_travel_blog_post_readmore_button',
		array(
			'label'   => esc_html__( 'Show / Hide Read More Button', 'aster-travel-blog' ),
			'section' => 'aster_travel_blog_post_options',
		)
	)
);

$wp_customize->add_setting(
    'aster_travel_blog_readmore_btn_icon',
    array(
        'default' => 'fas fa-chevron-right', // Set default icon here
        'sanitize_callback' => 'sanitize_text_field',
        'capability' => 'edit_theme_options',
    )
);

$wp_customize->add_control(new Aster_Travel_Blog_Change_Icon_Control(
    $wp_customize, 
    'aster_travel_blog_readmore_btn_icon',
    array(
        'label'    => __('Read More Icon','aster-travel-blog'),
        'section'  => 'aster_travel_blog_post_options',
        'iconset'  => 'fa',
    )
));

$wp_customize->add_setting(
	'aster_travel_blog_readmore_button_text',
	array(
		'default'           => 'Read More',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'aster_travel_blog_readmore_button_text',
	array(
		'label'           => esc_html__( 'Read More Button Text', 'aster-travel-blog' ),
		'section'         => 'aster_travel_blog_post_options',
		'settings'        => 'aster_travel_blog_readmore_button_text',
		'type'            => 'text',
	)
);


// Featured Image Dimension
$wp_customize->add_setting(
	'aster_travel_blog_blog_post_featured_image_dimension',
	array(
		'default' => 'default',
		'sanitize_callback' => 'aster_travel_blog_sanitize_choices'
	)
);

$wp_customize->add_control(
	'aster_travel_blog_blog_post_featured_image_dimension', 
	array(
		'type' => 'select',
		'label' => __('Featured Image Dimension','aster-travel-blog'),
		'section' => 'aster_travel_blog_post_options',
		'choices' => array(
			'default' => __('Default','aster-travel-blog'),
			'custom' => __('Custom Image Size','aster-travel-blog'),
		),
		'description' => __('Note: If you select "Custom Image Size", you can set a custom width and height up to 950px.', 'aster-travel-blog')
	)
);
 
// Featured Image Custom Width
$wp_customize->add_setting(
	'aster_travel_blog_blog_post_featured_image_custom_width',
	array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'aster_travel_blog_blog_post_featured_image_custom_width',
	array(
		'label'	=> __('Featured Image Custom Width','aster-travel-blog'),
		'section'=> 'aster_travel_blog_post_options',
		'type'=> 'text',
		'input_attrs' => array(
			'placeholder' => __( '300', 'aster-travel-blog' ),
		),
		'active_callback' => 'aster_travel_blog_blog_post_featured_image_dimension'
	)
);

// Featured Image Custom Height
$wp_customize->add_setting(
	'aster_travel_blog_blog_post_featured_image_custom_height',
	array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	)
);

$wp_customize->add_control(
	'aster_travel_blog_blog_post_featured_image_custom_height',
	array(
		'label'	=> __('Featured Image Custom Height','aster-travel-blog'),
		'section'=> 'aster_travel_blog_post_options',
		'type'=> 'text',
		'input_attrs' => array(
			'placeholder' => __( '300', 'aster-travel-blog' ),
		),
		'active_callback' => 'aster_travel_blog_blog_post_featured_image_dimension'
	)
);

// Featured Image Border Radius
$wp_customize->add_setting( 
	'aster_travel_blog_featured_image_border_radius', 
	array(
		'default'           => 10,
		'transport'         => 'refresh',
		'sanitize_callback' => 'aster_travel_blog_sanitize_range_value',
	) 
);

$wp_customize->add_control( 
	'aster_travel_blog_featured_image_border_radius', 
	array(
		'label'       => esc_html__( 'Featured Image Border Radius', 'aster-travel-blog' ),
		'section'     => 'aster_travel_blog_post_options',
		'type'        => 'range',
		'input_attrs' => array(
			'step' => 1,
			'min'  => 0,
			'max'  => 150,
		),
	) 
);

$wp_customize->add_setting('aster_travel_blog_show_first_caps', array(
	'default'           => false,
	'transport'         => 'refresh',
	'sanitize_callback' => 'aster_travel_blog_sanitize_switch',
));

$wp_customize->add_control(new Aster_Travel_Blog_Toggle_Switch_Custom_Control(
	$wp_customize,
	'aster_travel_blog_show_first_caps',
	array(
		'label'   => esc_html__('First Cap (First Capital Letter)', 'aster-travel-blog'),
		'section' => 'aster_travel_blog_post_options',
	)
));